### Property

# GimpUi PageSelector:n-pages

since: 2.4

#### Declaration

    property n-pages: int [ read, write ]

#### Description [src]

The number of pages of the document to open.

Type: | `gint`
Available since: | 2.4

Default value | 0
Getter method | `gimp_page_selector_get_n_pages()`
Setter method | `gimp_page_selector_set_n_pages()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no